﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XmlClassifier.Helpers
{
	public static class DebugConsole
	{
		public static void WriteLine()
		{
#if !DEBUG
			Console.WriteLine();
#endif
		}

		public static void WriteLine(string text)
		{
#if !DEBUG
			Console.WriteLine(text);
#endif
		}

		public static void Write(string text)
		{
#if !DEBUG
			Console.Write(text);
#endif
		}

		public static void ReadLine()
		{
#if !DEBUG
			Console.ReadLine();
#endif
		}

		public static void SetCursorPosition(int left, int top)
		{
#if !DEBUG
			Console.SetCursorPosition(left, top);
#endif
		}
	}
}
